Bug 1307985 - razorqt: FTBFS in rawhide
razorqt: FTBFS in rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: razorqt (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:14 EST by Fedora Release Engineering
Modified: 2017-05-16 13:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-16 13:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (1.08 MB, text/plain)
2016-02-13 17:14 EST, Fedora Release Engineering
no flags Details
root.log (108.16 KB, text/plain)
2016-02-13 17:14 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-13 17:14 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:14:43 EST
Your package razorqt failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12864580

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:14:46 EST
Created attachment 1126015 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:14:47 EST
Created attachment 1126016 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:14:49 EST
Created attachment 1126017 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:05:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Rex Dieter 2016-04-02 21:32:16 EDT
Seems related to libstatgrab API changes, though may finally be time to consider retiring razorqt
Comment 6 Peter Robinson 2016-05-08 14:59:33 EDT
Eugene: should this be retired given it's replaced by lxqt?
Comment 7 Eugene A. Pivnev 2016-05-09 04:47:13 EDT
(In reply to Peter Robinson from comment #6)
> Eugene: should this be retired given it's replaced by lxqt?

I know, that razorqt is RIP, but LXQT is not replacement for it and is not too stable yet.
I'll try to solve libstatgrab problem (e.g. making something like libstatgrab-0.17 package in f24+).
Comment 8 Peter Robinson 2016-05-09 05:15:53 EDT
> I'll try to solve libstatgrab problem (e.g. making something like
> libstatgrab-0.17 package in f24+).

Please try and fix the build against the latest libstatgrab as opposed to just bundling up a EOL branch of the library that won't get fixes. Note you'll need to get it fixed soon otherwise the pre GA cleanup brigade will retire it for you.
Comment 9 Fedora Admin XMLRPC Client 2016-05-31 17:24:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Peter Robinson 2017-05-16 13:14:10 EDT
package retired in current devel releases

Note You need to log in before you can comment on or make changes to this bug.